Package com.ads.api.beans.bgm

# Class CustomObject

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.bgm.BusinessObject
com.ads.api.beans.bgm.CustomObject

public class CustomObject extends BusinessObject
This class provides some beans control methods related to custom objects such as publish and rating etc.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDataValueScore()`
  Returns the custom object rating value.
  `String`
  `getPublish()`
  Returns the custom object publish value.
  `double`
  `getRating()`
  Returns the custom object rating value.
  `void`
  `setDataValueScore(String dataValueScore)`
  Sets the rating value to the custom object as specified.
  `void`
  `setPublish(String publish)`
  Sets the published value to the custom object as specified.
  `void`
  `setRating(double rating)`
  Sets the rating value to the custom object as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.bgm.BusinessObject

  `addSDIClassification, getAssetType, getAuditHistory, getCatalogId, getDefinition, getDescription, getFields, getFieldValue, getId, getName, getObjectTypeId, getSDIClassifications, getWorkflowStatus, isSdiFlag, setAssetType, setAuditHistory, setCatalogId, setDefinition, setDescription, setFields, setFieldValue, setId, setName, setSDIClassifications, setSdiFlag, setWorkflowStatus`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomObject

    public CustomObject()

- ## Method Details

  - ### getPublish

    public String getPublish()
    Returns the custom object publish value.
    Returns:
      publish String

  - ### setPublish

    public void setPublish(String publish)
    Sets the published value to the custom object as specified.
    Parameters:
      `publish` - String

  - ### getRating

    public double getRating()
    Returns the custom object rating value.
    Returns:
      rating double

  - ### setRating

    public void setRating(double rating)
    Sets the rating value to the custom object as specified.
    Parameters:
      `rating` - double

  - ### getDataValueScore

    public String getDataValueScore()
    Returns the custom object rating value.
    Returns:
      dataValueScore String

  - ### setDataValueScore

    public void setDataValueScore(String dataValueScore)
    Sets the rating value to the custom object as specified.
    Parameters:
      `dataValueScore` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BusinessObject`